Package org.snpeff.interval

# Class Utr3prime

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Utr
org.snpeff.interval.Utr3prime

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Interval>`, `TxtSerializable`

public class Utr3prime extends Utr
Interval for a UTR (5 prime UTR and 3 prime UTR

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`Utr3prime()`
`Utr3prime(Exon parent, int start, int end, boolean strandMinus, String id)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isUtr3prime()`
`boolean`
`isUtr5prime()`
`boolean`
`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, cloneShallow, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, toString, union, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Utr3prime

public Utr3prime()

### Utr3prime

public Utr3prime(Exon parent, int start, int end, boolean strandMinus, String id)

## Method Details

### isUtr3prime

public boolean isUtr3prime()

Specified by:
  `isUtr3prime` in class `Utr`

### isUtr5prime

public boolean isUtr5prime()

Specified by:
  `isUtr5prime` in class `Utr`

### variantEffect

public boolean variantEffect(Variant variant, VariantEffects variantEffects)
Description copied from class: `Marker`
Calculate the effect of this variant

Overrides:
  `variantEffect` in class `Marker`